package com.qryord.project.master.roleField.service;

import com.qryord.project.master.roleField.domain.RoleField;

import java.util.List;

/**
 * 角色字段控制Service接口
 * 
 * @author ruoyi
 * @date 2022-08-06
 */
public interface IRoleFieldService 
{
    /**
     * 查询角色字段控制
     * 
     * @param id 角色字段控制主键
     * @return 角色字段控制
     */
    public RoleField selectRoleFieldById(Long id);

    /**
     * 查询角色字段控制列表
     * 
     * @param roleField 角色字段控制
     * @return 角色字段控制集合
     */
    public List<RoleField> selectRoleFieldList(RoleField roleField);

    /**
     * 新增角色字段控制
     * 
     * @param roleField 角色字段控制
     * @return 结果
     */
    public int insertRoleField(RoleField roleField);

    /**
     * 修改角色字段控制
     * 
     * @param roleField 角色字段控制
     * @return 结果
     */
    public int updateRoleField(RoleField roleField);

    /**
     * 批量删除角色字段控制
     * 
     * @param ids 需要删除的角色字段控制主键集合
     * @return 结果
     */
    public int deleteRoleFieldByIds(String ids);

    /**
     * 删除角色字段控制信息
     * 
     * @param id 角色字段控制主键
     * @return 结果
     */
    public int deleteRoleFieldById(Long id);

    /**
     * 更新角色字段控制可见信息
     *
     * @param roleField 角色字段控制
     * @return 结果
     */
    public int changeShowFlag(RoleField roleField);

    /**
     * 查询角色字段控制列表
     *
     * @param roleField 角色字段控制
     * @return 角色字段控制集合
     */
    public List<RoleField> selectRoleList(RoleField roleField);

    /**
     * 查询角色字段控制列表
     *
     * @param roleField 角色字段控制
     * @return 角色字段控制集合
     */
    public List<RoleField> selectFieldList(RoleField roleField);

}
